package itso.cics.eci.j2ee.testercci;

import java.io.Serializable;

/**
 * Data Bean which stores a results string and a byte array representing the data which created the string.
 * Initially has an empty string and zero length byte array.
 */
public class ResultsBean implements Serializable
{
	private String resultsString = "";
	private byte[] resultsBytes = new byte[0];
	
	public void setResultsString(String data)
	{
		resultsString = data;
	}
	
	public String getResultsString()
	{
		return resultsString;
	}
	
	public void setResultsBytes(byte[] data)
	{
		resultsBytes = data;
	}
	
	public byte[] getResultsBytes()
	{
		return resultsBytes;
	}
}

